#import "Controller.h"

#include "MovieWrapper.h"

@implementation Controller

- (void)dealloc
{	[itsMovieWrapper release];
	[super dealloc];
}

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{	OSErr theError;

//		Let's face it: if we launched, then we have QuickTime...
//    theError = Gestalt (gestaltQuickTime, &result);

	theError = EnterMovies();	//	We never exit :-(

	NSAssert( !theError, @"EnterMovies" );

	itsMovieWrapper = [[MovieWrapper movieWrapperFromPath:@"/Applications/GrabBag/QuickTime Movies/Trailers/Columbia/Vertical Limit (large).mov"] retain];

	NSAssert( itsMovieWrapper, @"movieWrapperFromPath:" );

	[self sliderMoved:nil];
}

- (IBAction)sliderMoved:sender
{	[itsImageView setImage:[itsMovieWrapper imageAtTimeValue:[itsTimeSlider floatValue]*[itsMovieWrapper duration]]];
}

@end
